com.jnape.palatable.lambda.optics.functions

## Class Matching<S,T,A,B>

- java.lang.Object
- - com.jnape.palatable.lambda.optics.functions.Matching<S,T,A,B>

- All Implemented Interfaces:
    Fn1<Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B>,Fn1<S,Either<T,A>>>, Fn2<Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B>,S,Either<T,A>>, Applicative<Fn1<S,Either<T,A>>,Fn1<Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B>,?>>, Cartesian<Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B>,Fn1<S,Either<T,A>>,Fn1<?,?>>, Cocartesian<Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B>,Fn1<S,Either<T,A>>,Fn1<?,?>>, Contravariant<Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B>,Profunctor<?,Fn1<S,Either<T,A>>,Fn1<?,?>>>, Functor<Fn1<S,Either<T,A>>,Fn1<Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B>,?>>, Profunctor<Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B>,Fn1<S,Either<T,A>>,Fn1<?,?>>, Monad<Fn1<S,Either<T,A>>,Fn1<Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B>,?>>, MonadReader<Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B>,Fn1<S,Either<T,A>>,Fn1<Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B>,?>>, MonadRec<Fn1<S,Either<T,A>>,Fn1<Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B>,?>>, MonadWriter<Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B>,Fn1<S,Either<T,A>>,Fn1<Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B>,?>>

      public final class Matching<S,T,A,B>
      extends Object
      implements Fn2<Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B>,S,Either<T,A>>

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Either<T,A>` | `checkedApply(Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B> optic, S s)`
    `static <S,T,A,B> Matching<S,T,A,B>` | `matching()`
    `static <S,T,A,B> Fn1<S,Either<T,A>>` | `matching(Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B> optic)`
    `static <S,T,A,B> Either<T,A>` | `matching(Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B> optic, S s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `apply, apply, checkedApply, compose, contraMap, curried, curry, diMapL, discardR, flip, fn2, fromBiFunction, toBiFunction, uncurry, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Method Detail

    - #### checkedApply

          public Either<T,A> checkedApply(Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B> optic,
                                          S s)

      Specified by:
        `checkedApply` in interface `Fn2<Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B>,S,Either<T,A>>`

    - #### matching

          public static <S,T,A,B> Matching<S,T,A,B> matching()

    - #### matching

          public static <S,T,A,B> Fn1<S,Either<T,A>> matching(Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B> optic)

    - #### matching

          public static <S,T,A,B> Either<T,A> matching(Optic<? super Market<A,B,?,?>,? super Identity<?>,S,T,A,B> optic,
                                                       S s)